//	Responsive Tabs v1.4, Copyright 2014, Joe Mottershaw, https://github.com/joemottershaw/
//
// 1. 변경 내용 : 탭기능이 모바일 사이즈에서 내용물을 펼쳐 보여주던 것을 기존 탭형태를 유지하도록 추가
//				또한, 탭을 빨리 클릭할 시 내용물이 두개가 보여주던 것을 하나만 보여지도록 추가
//
//				2021-01-29 : 화면 사이즈가 변화할시 첫번째 탭으로 액티브 되는 현상 제거
//
// 2. 사용 방법 :  기존의 미디어 쿼리를 유지하고 싶으면 그대로 쓰면 되고,
//				탭형식을 업데이트 된 내용을 적용하고싶으면 다음과 같이 .always 클래스를 붙이면 됩니다.
//				ul.responsive-tabs always 
//				responsive-tabs-content always
//
//	=======================================================================================

	// Tabs function
	function responsiveTabs() {
		// Tabs functionality
			$('.responsive-tabs').each(function(e) {
				// Hide all tab panels except for the first
					$('.responsive-tabs-panel').not(':first').hide();

				// Add active statuses to first tab and show display
					$('li', this).removeClass('active');
					$('li:first-child', this).addClass('active');
					$('.responsive-tabs-panel:first-child').show();

				// Tab clicked
					$('li', this).click(function(e) {
						// Prevent the anchor's default click action
							e.preventDefault();

						// Corresponding tabs panel
							var panel = $('a', this).attr('href');

						// Remove active statuses to other tabs
							$(this).siblings().removeClass('active');

						// Add active status to this tab
							$(this).addClass('active');

						// Hide other tab panels
							$(panel).siblings().hide();

						// Showing the clicked tabs' panel
						//	$(panel).fadeIn(400);

						// Showing the clicked tabs' panel - 변경
							$(panel).stop().fadeIn(400);
					});

				// Responsive
				//	if ($(window).width() < 1)
				//		$('.responsive-tabs-panel').show();

				// Responsive - 변경
					if ($(window).width() < 768)
					$('.responsive-tabs-panel').show();
					$('.always .responsive-tabs-panel').not(':first-child').hide();
			});

		// Panel link functionality
			$('.responsive-tabs-content .responsive-tabs-panel .responsive-tabs-panel-link').on('click', function(e) {
				// Corresponding tabs panel
					var panel = $(this).attr('href');
					var rootSec = $(this).closest('.tab-navbar-section'); // 추가
					var rootSecOffset = rootSec.offset().top; // 추가
					var headerHeight = $(".nav-wrap").height(); // 추가

					$('html, body').stop().animate( { scrollTop : rootSecOffset - headerHeight } ); // 추가

				// Remove active statuses to other tabs
					//$(this).parents('.responsive-tabs-content').siblings('.responsive-tabs').find('a[href=' + panel + ']').parent().siblings().removeClass('active');
					//$(this).closest('.tab-navbar-section').find('.responsive-tabs li').removeClass('active');
					rootSec.find('.responsive-tabs li').removeClass('active');

				// Add active status to this tab
					//$(this).parents('.responsive-tabs-content').siblings('.responsive-tabs').find('a[href=' + panel + ']').parent().addClass('active');
					//$(this).closest('.tab-navbar-section').find(`.responsive-tabs a[href='${panel}']`).parent().addClass('active');
					rootSec.find(`.responsive-tabs a[href='${panel}']`).parent().addClass('active');

				// Hide other tab panels
					$(panel).siblings().hide();

				// Showing the clicked tabs' panel
					$(panel).fadeIn(400);

				// Prevent the anchor's default click action
					e.preventDefault();
			});
	}

$(document).ready(function() {
	responsiveTabs();

	$('.responsive-tabs li a').each(function() {
		var	tabID = $(this).attr('href');
		var	tabTitle = $(this).html();

		$(tabID + ' .responsive-tab-title').prepend('<p><strong>' + tabTitle + '</strong></p>');
	});
});

//$(window).resize(function() {
//	responsiveTabs();
//});